Subject: Homeopathic Self-Sufficiency Home Page

From: "Lawrence F. London, Jr." <[email-masked]>
Date: Sun, 20 Apr 1997 21:23:06 -0400

http://www.geocities.com/HotSprings/9068/

-- 
Lawrence F. London, Jr.
mailto:[email-masked]  
http://sunSITE.unc.edu/InterGarden
About Homeopathy

Homeopathy
Guidelines

Remedies

Aconitum

Arnica

Hypericum

Ledum

Ruta

Treating Skin Problems

Treating
Depression

Contact me
for a
Consultation

Links

Now Open!
Homeopathic
Bookstore

All material on this site is copyright Erika Price, DHM.
Copying for personal use is encouraged, but redistribution in any form is prohibited, whether electronically or in print.

Self-Sufficiency with Homeopathy
If you are to be self-sufficent in your use of homeopathics, you need to know a few things. This site is here to help.

Some remedies that every home should have

What those remedies can do

Uses: Well known and
Lesser known therapeutics

Modalities

Remedy Interactions

How to take them

How not to antidote them

Special Section on the treatment of Skin Disorders

Special Section on the treatment of Depression

All artwork on this site, unless otherwise noted, is by Erika Price and is copyright. See copyright notice above.

One of the many wonderful attributes of homeopathy is that the patient or user can become quite self-sufficient in relieving and curing their symptoms. The problem does not get a chance to become worse, because it gets better. This also allows one to avoid going to the doctor when it is not necessary, because it does not become necessary.
Because each homeopathic remedy has many therapeutic uses, it is a ridiculous waste not to know those many uses once a remedy is in your possession. You may find that you actually have a remedy you need for a problem as it occurs.

Although the remedies I discuss in these pages are widely used, some of their many profound therapeutic uses are not commonly known by the lay person, student of homeopathy, or non-classical homeopaths. I also include important information on remedy interactions which can be hard to find.

The postings on this site are excerpted from a book I am writing on the classical homeopathic, drug free, treatment of intractable disorders. I will be periodically posting more information about other primary homeopathic remedies for acute disorders that no home should be without.

Bookmark this site now
and come back often.

Precautionary Notes and Disclaimer:

Homeopathic remedies are available without a prescription and can be self-prescribed and used by anyone. The information given here is not a prescription, but rather helpful guidelines and information for those wishing to learn more about the homeopathic remedies in order to become more self-sufficient in their own wholistic health care. The author cannot be held responsible for the misuse of this information. As in any health care situation, proper professional consultation and medical treatment should be utilized when necessary. Whenever a homeopathic remedy is indicated for any critical and/or life threatening disorders it should not be used instead of accessing medical care, but they can be used in an emergency until proper medical care is obtained.

This site is the work of:
Erika Price, DIHom, DHM, BIHF, practices true Classical Homeopathy. She is a graduate with honors of the British Institute of Homoeopathy, holds her doctorate degree of Doctor of Homeopathic Medicine and is a Fellow of the B.I.H. Erika is highly respected for her responsibility, thoroughness, and accurate prescribing, and also brings to her practice many years of successful work in the many and diverse wholistic healing arts.
This site is maintained by Jack Petith.

About Homeopathy * Homeopathy Guidelines *  Remedies
About Skin Problems * Treating Depression * Our Homeopathic Bookstore
Contact me for a Consultation * Links

top of page

There have been   visitors to this site since 6 April 1997